Bug 19063 - Validated local resource cache
Validated local resource cache
Status: RESOLVED LATER
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
PC All
: P3 normal
: ---
Assigned To: This bug has no owner yet - up for the taking
HTML WG Bugzilla archive list
https://www.w3.org/Bugs/Public/show_b...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 22:02 UTC by contributor
Modified: 2013-01-24 07:13 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-09-25 22:02:54 UTC
This was was cloned from bug 8320 as part of operation LATER convergence.
Originally filed: 2009-11-16 23:27:00 +0000
Original reporter: Ed Palma <edified@gmail.com>

================================================================================
 #0   Ed Palma                                        2009-11-16 23:27:32 +0000 
--------------------------------------------------------------------------------
Local persistent cross site javascript/css (possibly any resource that has a src attribute) cache browser that validate based on signature? Something like 

<script type="text/javascript" src="/scripts/jquery-min-1.3.3.js?v=132" local="com.jquery.min.133.js" sig="eaa41fbd734596533e98e557eae39b8b" />

The browser comes with copies of commonly used libraries or has access to a repository or downloads them from anywhere and validates sigs, using the same code where sigs match. 
Implementation suggestions and why this is better than a normal cache here:http://forums.whatwg.org/viewtopic.php?t=4169
================================================================================
 #1   Ian 'Hixie' Hickson                             2010-01-06 08:27:37 +0000 
--------------------------------------------------------------------------------
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale: It is too late to be adding features to HTML5, but this might make sense in a future version. I would recommend approaching browser vendors and seeing if they are interested in implementing this.
================================================================================
Comment 1 public-rdfa-wg 2013-01-24 06:28:54 UTC
This bug was cloned to create HTML WG bug 19063.